<div fxFlex fxLayout="row" style="margin: 5px; margin-top: 20px; " fxLayoutGap="10px">
  <div *ngIf="isSaveRequired"><button mat-raised-button color="primary" style="width: 50px;" (click)="SaveClicked()">Save</button></div>
  <div *ngIf="isClearRequired"><button mat-raised-button color="primary" type="button" style="width: 50px;" (click)="ClearClicked()">Clear</button></div> 
  <div *ngIf="isExitRequired"><button mat-raised-button color="primary" type="button" style="width: 50px;" (click)="ExitClicked()">Exit</button></div>
  <div *ngIf="isSubmitRequired" fxFlex fxLayoutAlign="end"><button mat-raised-button color="primary" type="button" style="width: 100px;" (click)="SubmitClicked()">Submit</button></div>
  <div *ngIf="isTutorialRequired"><app-tutorial [pageName]="page"></app-tutorial></div>  
  <div fxFlex fxLayoutAlign="end" fxLayoutGap="10px">
    <div *ngIf="isPreviousRequired"><button mat-raised-button color="primary" type="button" style="width: 87px;" (click)="PreviousClicked()">Previous</button></div>
    <div *ngIf="isNextRequired"><button mat-raised-button color="primary" type="button" style="width: 50px;" (click)="NextClicked()">Next</button></div>
  </div>
</div>